Package org.eclipse.m2m.atl.common.ATL

# Class LazyMatchedRule

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.m2m.atl.common.ATL.LocatedElement
org.eclipse.m2m.atl.common.ATL.ModuleElement
org.eclipse.m2m.atl.common.ATL.Rule
org.eclipse.m2m.atl.common.ATL.MatchedRule
org.eclipse.m2m.atl.common.ATL.LazyMatchedRule

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

public class LazyMatchedRule extends MatchedRule
A representation of the model object 'Lazy Matched Rule'.

The following features are supported:

- `Is Unique`

See Also:
  - `ATLPackage.getLazyMatchedRule()`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`IS_UNIQUE_EDEFAULT`
The default value of the '`Is Unique`' attribute.
`protected boolean`
`isUnique`
The cached value of the '`Is Unique`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.common.ATL.MatchedRule

`children, inPattern, IS_ABSTRACT_EDEFAULT, IS_NO_DEFAULT_EDEFAULT, IS_REFINING_EDEFAULT, isAbstract, isNoDefault, isRefining, superRule`

### Fields inherited from class org.eclipse.m2m.atl.common.ATL.Rule

`actionBlock, name, NAME_EDEFAULT, outPattern, variables`

### Fields inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`commentsAfter, commentsBefore, location, LOCATION_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LazyMatchedRule()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`boolean`
`isIsUnique()`
Returns the value of the 'Is Unique' attribute.
`void`
`setIsUnique(boolean newIsUnique)`
Sets the value of the '`Is Unique`' attribute.
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.MatchedRule

`basicGetSuperRule, basicSetInPattern, basicSetSuperRule, eInverseAdd, eInverseRemove, getChildren, getInPattern, getSuperRule, isIsAbstract, isIsNoDefault, isIsRefining, setInPattern, setIsAbstract, setIsNoDefault, setIsRefining, setSuperRule`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.Rule

`basicSetActionBlock, basicSetOutPattern, getActionBlock, getName, getOutPattern, getVariables, setActionBlock, setName, setOutPattern`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.ModuleElement

`basicSetModule, eBasicRemoveFromContainerFeature, getModule, setModule`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`getCommentsAfter, getCommentsBefore, getLocation, setLocation`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### IS_UNIQUE_EDEFAULT

protected static final boolean IS_UNIQUE_EDEFAULT
The default value of the '`Is Unique`' attribute.

See Also:
  - `isIsUnique()`
  - Constant Field Values

### isUnique

protected boolean isUnique
The cached value of the '`Is Unique`' attribute.

See Also:
  - `isIsUnique()`

## Constructor Details

### LazyMatchedRule

protected LazyMatchedRule()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `MatchedRule`

### isIsUnique

public boolean isIsUnique()
Returns the value of the 'Is Unique' attribute.

If the meaning of the 'Is Unique' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Is Unique' attribute.
See Also:
  - `setIsUnique(boolean)`
  - `ATLPackage.getLazyMatchedRule_IsUnique()`

### setIsUnique

public void setIsUnique(boolean newIsUnique)
Sets the value of the '`Is Unique`' attribute.

Parameters:
  `value` - the new value of the 'Is Unique' attribute.
See Also:
  - `isIsUnique()`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `MatchedRule`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `MatchedRule`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `MatchedRule`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `MatchedRule`

### toString

public String toString()

Overrides:
  `toString` in class `MatchedRule`